#
# $Id: sblim-cmpi-base.rh.spec,v 1.3 2005/11/10 12:01:06 mihajlov Exp $
#
# Package spec for sblim-cmpi-base - Red Hat/Fedora Flavor
#
# Use this SPEC if building for a RH/Fedora System for usage with
# OpenPegasus
#

%define tog_pegasus_version 2:2.6.1-1
%define sblim_testsuite_version 1.2.4
%define provider_dir %{_libdir}/cmpi

Summary: SBLIM CMPI Base Providers
Name: sblim-cmpi-base
Version: 1.5.7
Release: 1%{?dist}
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://www.sblim.org
License: CPL
Source0: http://downloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2
BuildRequires: tog-pegasus-devel >= %{tog_pegasus_version}
Requires: tog-pegasus

%description
SBLIM (Standards Based Linux Instrumentation for Manageability)
CMPI (Common Manageability Programming Interface) Base Providers
for System-Related CIM (Common Information Model) classes

%package devel
Summary: SBLIM CMPI Base Providers Development Header Files
Group: Development/Libraries
BuildRequires: tog-pegasus-devel >= %{tog_pegasus_version}
Requires: %{name} = %{version}-%{release}
Requires: tog-pegasus

%description devel
SBLIM (Standards Based Linux Instrumentation for Manageability)
CMPI (Common Manageability Programming Interface) Base Provider
development header files and link libraries

%package test
Summary: SBLIM CMPI Base Providers Test Cases
Group: Applications/System
BuildRequires: tog-pegasus-devel >= %{tog_pegasus_version}
Requires: %{name} = %{version}-%{release}
Requires: sblim-testsuite >= %{sblim_testsuite_version}
Requires: tog-pegasus

%description test
SBLIM (Standards Based Linux Instrumentation for Manageability)
CMPI (Common Manageability Programming Interface) Base Provider
Testcase Files for the SBLIM Testsuite

%prep
%setup -q

%build
%configure TESTSUITEDIR=%{_datadir}/sblim-testsuite \
           PROVIDERDIR=%{provider_dir} \
	   CIMSERVER=pegasus
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cp -fp *OSBase_UnixProcess.h $RPM_BUILD_ROOT/%{_includedir}/sblim
chmod 644 $RPM_BUILD_ROOT/%{_includedir}/sblim/*OSBase_UnixProcess.h
# remove unused libtool files
rm -f $RPM_BUILD_ROOT/%{_libdir}/*a
rm -f $RPM_BUILD_ROOT/%{_libdir}/cmpi/*a

%pre
%define SCHEMA %{_datadir}/%{name}/Linux_Base.mof
%define REGISTRATION %{_datadir}/%{name}/Linux_Base.registration
# If upgrading, deregister old version
if [ $1 -gt 1 ]
then
  %{_datadir}/%{name}/provider-register.sh \
        -d -t pegasus \
        -m %{SCHEMA} \
        -r %{REGISTRATION} > /dev/null  2>&1 || :;
  # don't let registration failure when server not running fail upgrade!
fi

%post
/sbin/ldconfig
if [ $1 -ge 1 ]
then
# Register Schema and Provider - this is higly provider specific
  %{_datadir}/%{name}/provider-register.sh \
        -t pegasus \
        -m %{SCHEMA} \
        -r %{REGISTRATION} > /dev/null  2>&1 || :;
  # don't let registration failure when server not running fail install!
fi

%preun
# Deregister only if not upgrading 
if [ $1 -eq 0 ]
then
  %{_datadir}/sblim-cmpi-base/provider-register.sh \
        -d -t pegasus \
        -m %{SCHEMA} \
        -r %{REGISTRATION} > /dev/null  2>&1 || :;
  # don't let registration failure when server not running fail erase!
fi

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,pegasus,0755)
%docdir %{_datadir}/doc/%{name}-%{version}
%{_datadir}/doc/%{name}-%{version}
%defattr(-,root,pegasus,0755)
%{_datadir}/%{name}
%defattr(0750,root,pegasus,0750)
%{_libdir}/libcmpiOSBase_Common.so.*
%{_libdir}/libdmi*.so.*
%{provider_dir}/libcmpiOSBase_BaseBoardProvider.so
%{provider_dir}/libcmpiOSBase_CSBaseBoardProvider.so
%{provider_dir}/libcmpiOSBase_CSProcessorProvider.so
%{provider_dir}/libcmpiOSBase_ComputerSystemProvider.so
%{provider_dir}/libcmpiOSBase_OSProcessProvider.so
%{provider_dir}/libcmpiOSBase_OperatingSystemProvider.so*
%{provider_dir}/libcmpiOSBase_OperatingSystemStatisticalDataProvider.so
%{provider_dir}/libcmpiOSBase_OperatingSystemStatisticsProvider.so
%{provider_dir}/libcmpiOSBase_ProcessorProvider.so
%{provider_dir}/libcmpiOSBase_RunningOSProvider.so
%{provider_dir}/libcmpiOSBase_UnixProcessProvider.so

%files devel
%defattr(0644,root,pegasus,0755)
%dir %{_includedir}/sblim
%{_includedir}/sblim/*Base_Common.h
%{_includedir}/sblim/*OSBase_UnixProcess.h
%{_libdir}/libdmi*.so
%defattr(0750,root,pegasus,0750)
%{_libdir}/libcmpiOSBase_Common.so

%files test
%defattr(-,root,pegasus,0755)
%{_datadir}/sblim-testsuite/test-cmpi-base.sh
%{_datadir}/sblim-testsuite/system/linux/createKeyFiles.sh
%{_datadir}/sblim-testsuite/system/linux/Linux_ComputerSystem.system
%{_datadir}/sblim-testsuite/system/linux/Linux_CSProcessor.system
%{_datadir}/sblim-testsuite/system/linux/Linux_OperatingSystemStatisticalData.system
%{_datadir}/sblim-testsuite/system/linux/Linux_OperatingSystemStatistics.system
%{_datadir}/sblim-testsuite/system/linux/Linux_OperatingSystem.system
%{_datadir}/sblim-testsuite/system/linux/Linux_OperatingSystem.version.sh
%{_datadir}/sblim-testsuite/system/linux/Linux_OSProcess.system
%{_datadir}/sblim-testsuite/system/linux/Linux_Processor.pl
%{_datadir}/sblim-testsuite/system/linux/Linux_Processor.system
%{_datadir}/sblim-testsuite/system/linux/Linux_RunningOS.system
%{_datadir}/sblim-testsuite/system/linux/Linux_UnixProcess.pl
%{_datadir}/sblim-testsuite/system/linux/Linux_UnixProcess.system
%{_datadir}/sblim-testsuite/system/linux/Linux_BaseBoard.system
%{_datadir}/sblim-testsuite/system/linux/Linux_CSBaseBoard.system
%{_datadir}/sblim-testsuite/cim/Linux_ComputerSystem.cim
%{_datadir}/sblim-testsuite/cim/Linux_CSProcessor.cim
%{_datadir}/sblim-testsuite/cim/Linux_OperatingSystem.cim
%{_datadir}/sblim-testsuite/cim/Linux_OperatingSystemStatisticalData.cim
%{_datadir}/sblim-testsuite/cim/Linux_OperatingSystemStatistics.cim
%{_datadir}/sblim-testsuite/cim/Linux_OSProcess.cim
%{_datadir}/sblim-testsuite/cim/Linux_Processor.cim
%{_datadir}/sblim-testsuite/cim/Linux_RunningOS.cim
%{_datadir}/sblim-testsuite/cim/Linux_UnixProcess.cim
%{_datadir}/sblim-testsuite/cim/Linux_BaseBoard.cim
%{_datadir}/sblim-testsuite/cim/Linux_CSBaseBoard.cim

%changelog
* Fri Oct 24 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.5.7-1
- Update to 1.5.7
  Resolves: #468325

* Wed Jul  2 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.5.5-2
- Fix testsuite dependency

* Tue Jul  1 2008 Vitezslav Crhonek <vcrhonek@redhat.com> - 1.5.5-1
- Update to 1.5.5
- Spec file revision

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.5.4-8
- Autorebuild for GCC 4.3

* Tue Dec 05 2006 Mark Hamzy <hamzy@us.ibm.com> 1.5.4-7
 - Ignore failures when running provider-register.sh.  cimserver may be down

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 1.5.4-6
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Thu Nov 10 2005  <mihajlov@de.ibm.com> - 1.5.4-3
- suppress error output in post scriptlets

* Wed Oct 27 2005  <mihajlov@de.ibm.com> - 1.5.4-2
- went back to original provider dir location as FC5 pegasus 2.5.1 support
  /usr/lib[64]/cmpi

* Wed Oct 12 2005  <mihajlov@de.ibm.com> - 1.5.4-1
- new spec file specifically for Fedora/RedHat

* Wed Jul 20 2005 Mark Hamzy <hamzy@us.ibm.com>	1.5.3-1
- initial support
